// AnonymousInnerClassDemo1.java

abstract class Farmer
{
   protected String name;

   Farmer (String name)
   {
      this.name = name;
   }

   abstract void occupation ();
}

class BeefFarmer extends Farmer
{
   BeefFarmer (String name)
   {
      super (name);
   }

   void occupation ()
   {
      System.out.println ("Farmer " + name + " raises beef cattle");
   }
}

class AnonymousInnerClassDemo1
{
   public static void main (String [] args)
   {
      BeefFarmer bf = new BeefFarmer ("John Doe");
      bf.occupation ();

      new Farmer ("Jane Doe")
          {
              void occupation ()
              {
                 System.out.println ("Farmer " + name + " milks cows");
              }
          }.occupation ();
   }
}
